CREATE procedure [C6MartPeriodico].[Verifica_esecuzione_API_Trimestrale] as  
begin   
 if( (SELECT TOP (1) 
[flattivo]
FROM consuni.[ConsulenzaUnicaFL].[dbo].[Semaforo]
where nomebatch='Trimestrale Sei'
order by id desc)<>0)
begin
WAITFOR DELAY '00:03:00';
exec [C6MartPeriodico].[Verifica_esecuzione_API_Trimestrale]
end
else
print('OK')
end